require 'simplecov'
SimpleCov.start do
  add_filter '/test/'
  add_group 'Rules',      'lib/strategize/rules'
  add_group 'Policies',   'lib/strategize/policies'
end

require 'strategize'

require 'minitest/autorun'
require 'minitest/reporters'

test_root = File.dirname(__FILE__)
Dir["#{test_root}/support/*.rb"]. each { |file| require file }

Minitest::Reporters.use! Minitest::Reporters::SpecReporter.new(color: true)
